Bug 1123139 - [DOCS] [GSS-RFE] Sonatype Nexus integration support in B*MS 6.1
Summary: [DOCS] [GSS-RFE] Sonatype Nexus integration support in B*MS 6.1
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Documentation
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR3
: 6.1.0
Assignee: brms-docs@redhat.com
QA Contact: Lukáš Petrovický
Dawn Eisner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 00:38 UTC by Vikram Goyal
Modified: 2019-01-01 02:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Vikram Goyal 2014-07-25 00:38:26 UTC
Document based on 6.1 PRD requirement: https://issues.jboss.org/browse/BPMSPL-86.

Works for both BRMS and BPM Suite.

Comment 1 Vikram Goyal 2014-09-08 04:21:56 UTC
Content has been added for this in the Installation Guide. When the docs are built next, I will update with the links.

Moving to MODIFIED.

Comment 3 Petr Široký 2014-10-22 17:54:46 UTC
Hello Vikram,

The docs look good. 

One minor comment: it says "If your Nexus server requires authentication, you will also need to place your credentials in the ~/.m2/settings.xml file in a servers element."

This will only work if the Business Central uses the default settings.xml file, in case one specifies custom settings.xml using the property kie.maven.settings.custom, the authentication information needs to be there (intead of ~/.m2/settings.xml). I think it would make sense to clarify that? WDYT?

Comment 4 Vikram Goyal 2014-10-23 00:24:00 UTC
Thanks Petr.

I agree. I have modified the sentence to clarify the issue surrounding the non-default location of the settings.xml file.

This can be verified here [1] in the BPMS guide. It is the same content for the BRMS guide.

Keeping this bug on ON_QA.

[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html-single/Administration_And_Configuration_Guide/index.html#Configuring_deployment_to_a_remote_Nexus_repository

Comment 5 Petr Široký 2014-10-27 09:52:02 UTC
Looks good, thanks Vikram!


Note You need to log in before you can comment on or make changes to this bug.